
Partial Class Customers_Default
    Inherits System.Web.UI.Page
    Dim Kdnrtext As String = String.Empty
    Protected Sub Page_Load(sender As Object, e As EventArgs)

        If Me.Page.User.Identity.IsAuthenticated And String.Equals(Me.Page.User.Identity.Name, "Admin") = True Then
            Try
                Kdnrtext = Session.Item("CustomerID")
            Catch A As UnauthorizedAccessException When String.IsNullOrEmpty(Kdnrtext)
                MsgBox("Dieser Bereich ist nicht gestattet! Ein Fehler ist bei der Validierung der ID aufgetreten! Bitte erneut versuchen!", MsgBoxStyle.Information, "Error in User Area!")
            End Try
        Else
            Response.Redirect("../login..Error.aspx?Par1=" + VERAG_PROG_ALLGEMEIN.cCryptography3.Encrypt("Default.aspx"))
        End If
        If Page.IsPostBack = True Then
            Page.MaintainScrollPositionOnPostBack = True
            VERAG_VARIABLES.initerrorcount()
            tbl_main = ViewState("Message")
        Else
            Page.MaintainScrollPositionOnPostBack = False
            VERAG_VARIABLES.initerrorcount()
        End If
    End Sub




    Protected Sub Btn_btn_Click(sender As Object, e As EventArgs)
        Dim tbl_id As TableCell = New TableCell
        Dim tbl_name As TableCell = New TableCell
        tbl_id.Text = 1
        tbl_name.Text = "Pater Hans"
        Dim tr As TableRow = New TableRow

        tr.Cells.Add(tbl_id)
        tr.Cells.Add(tbl_name)

        tbl_main.Rows.Add(tr)

        ViewState("Message") = tbl_main
    End Sub
End Class
